/*
 * Copyright (C) 2012 Michael Olbrich <m.olbrich@pengutonix.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

#ifndef LOAD_H
#define LOAD_H

#include <QtCore/QObject>
#include <QtCore/QVector>

class LoadThread;

class Load : public QObject
{
	Q_OBJECT
	Q_PROPERTY(bool enabled READ enabled WRITE setEnabled NOTIFY enabledChanged)
	Q_PROPERTY(int level READ level WRITE setLevel NOTIFY levelChanged)

public:
	Load(QObject *parent = 0);
	~Load();

	bool enabled() const;
	int level() const;

public slots:
	void setEnabled(bool enabled);
	void setLevel(int level);

signals:
	void enabledChanged(bool enabled);
	void levelChanged(int level);

private:
	LoadThread *m_thread;
};

#endif // LOAD_H
