# -*-makefile-*-
#
# Copyright (C) 2011 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MOLY) += moly

#
# Paths and names
#
MOLY_VERSION	:= master
MOLY		:= moly
MOLY_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/$(MOLY)
MOLY_DIR	:= $(BUILDDIR)/$(MOLY)
MOLY_BUILD_OOT	:= YES
MOLY_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------
#
# qmake
#
MOLY_CONF_TOOL	:= qmake
MOLY_CONF_OPT	:= $(CROSS_QMAKE_OPT) PREFIX=/usr

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/moly.targetinstall:
	@$(call targetinfo)

	@$(call install_init, moly)
	@$(call install_fixup, moly, PRIORITY, optional)
	@$(call install_fixup, moly, SECTION, base)
	@$(call install_fixup, moly, AUTHOR, "Michael Olbrich <m.olbrich@pengutronix.de>")
	@$(call install_fixup, moly, DESCRIPTION, missing)

	@$(call install_lib, moly, 0, 0, 0644, libmoly)
	@$(call install_copy, moly, 0, 0, 0755, -, /usr/bin/moviewer)

	@$(call install_tree, moly, 0, 0, -, /usr/imports)

	@$(call install_finish, moly)

	@$(call touch)

# vim: syntax=make
