# -*-makefile-*-
#
# Copyright (C) 2014 by Christoph Fritz <chf.fritz@googlemail.com>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_OPENCV_PHY_EXAMPLE) += opencv_phy_example

#
# Paths and names
#
OPENCV_PHY_EXAMPLE_VERSION	:= 0.0a
OPENCV_PHY_EXAMPLE_MD5		:=
OPENCV_PHY_EXAMPLE		:= opencv_phy_example
OPENCV_PHY_EXAMPLE_URL		:= file://local_src/$(OPENCV_PHY_EXAMPLE)-$(OPENCV_PHY_EXAMPLE_VERSION)
OPENCV_PHY_EXAMPLE_DIR		:= $(BUILDDIR)/$(OPENCV_PHY_EXAMPLE)
OPENCV_PHY_EXAMPLE_LICENSE	:= MIT License

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/opencv_phy_example.extract:
#	@$(call targetinfo)
#	@$(call clean, $(OPENCV_PHY_EXAMPLE_DIR))
#	@$(call extract, OPENCV_PHY_EXAMPLE)
#	@$(call patchin, OPENCV_PHY_EXAMPLE)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

OPENCV_PHY_EXAMPLE_PATH	:= PATH=$(CROSS_PATH)
OPENCV_PHY_EXAMPLE_CONF_TOOL	:= NO
OPENCV_PHY_EXAMPLE_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/opencv_phy_example.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, OPENCV_PHY_EXAMPLE)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/opencv_phy_example.compile:
#	@$(call targetinfo)
#	@$(call world/compile, OPENCV_PHY_EXAMPLE)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/opencv_phy_example.install:
#	@$(call targetinfo)
#	@$(call world/install, OPENCV_PHY_EXAMPLE)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/opencv_phy_example.targetinstall:
	@$(call targetinfo)

	@$(call install_init, opencv_phy_example)
	@$(call install_fixup, opencv_phy_example,PRIORITY,optional)
	@$(call install_fixup, opencv_phy_example,SECTION,base)
	@$(call install_fixup, opencv_phy_example,AUTHOR,"Christoph Fritz <chf.fritz@googlemail.com>")
	@$(call install_fixup, opencv_phy_example,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, opencv_phy_example, 0, 0, 0755, $(OPENCV_PHY_EXAMPLE_DIR)/opencv_phy_showpic, /home/opencv_examples/opencv_phy_showpic)
	@$(call install_copy, opencv_phy_example, 0, 0, 0755, $(OPENCV_PHY_EXAMPLE_DIR)/opencv_phy_stream, /home/opencv_examples/opencv_phy_stream)
	@$(call install_copy, opencv_phy_example, 0, 0, 0755, $(OPENCV_PHY_EXAMPLE_DIR)/opencv_phy_edgedetect, /home/opencv_examples/opencv_phy_edgedetect)

	@$(call install_copy, opencv_phy_example, 0, 0, 0755, $(OPENCV_PHY_EXAMPLE_DIR)/qt_quickfix, /home/opencv_examples/qt_quickfix)
	@$(call install_copy, opencv_phy_example, 0, 0, 0755, $(OPENCV_PHY_EXAMPLE_DIR)/readme.txt, /home/opencv_examples/readme.txt)

	@$(call install_finish, opencv_phy_example)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/opencv_phy_example.clean:
	@$(call targetinfo)
	@-cd $(OPENCV_PHY_EXAMPLE_DIR) && \
		$(OPENCV_PHY_EXAMPLE_ENV) $(OPENCV_PHY_EXAMPLE_PATH) $(MAKE) clean
	@$(call clean_pkg, OPENCV_PHY_EXAMPLE)

# vim: syntax=make
